%global git_commit 6c7a73702e275c04106e0f3a4d025d55eeaed734
%global git_date 20120905

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://github.com/bistromath/gr-air-modes.git
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

Name:             gr-air-modes
URL:              http://github.com/bistromath/gr-air-modes
Version:          0
Release:          0.2.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python-devel, numpy, scipy, gnuradio-devel
BuildRequires:    sqlite-devel, uhd-devel, boost-devel
Requires(post):   %{_sbindir}/ldconfig
Requires(postun): %{_sbindir}/ldconfig
Group:            Applications/Communications
Summary:          SDR receiver for Mode S transponder signals (ADS-B)
Source0:          %{name}-%{git_suffix}.tar.bz2
# Add SONAME to library, patch sent upstream
Patch0:           gr-air-modes-add-soname.patch

%description
Software defined radio receiver for Mode S transponder signals, including
ADS-B reports.

%package devel
Summary:          Development files for gr-air-modes
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for gr-air-modes.

%prep
%setup -q
%patch0 -p1 -b .add-soname

%build
mkdir build
cd build
%cmake ../
# parallel build is currently broken
make

%install
cd build
make install DESTDIR=%{buildroot}

# remove hashbangs
pushd %{buildroot}%{python_sitearch}/air_modes
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/\(env\|python\)/ d' $f
done
popd

%post -p %{_sbindir}/ldconfig

%postun -p %{_sbindir}/ldconfig

%files
%doc AUTHORS COPYING README
%{_bindir}/uhd_modes.py
%{_libdir}/*.so.*
%{python_sitearch}/*

%files devel
%{_includedir}/gr-air-modes
%{_libdir}/*.so

%changelog
* Wed Sep 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20120905git6c7a7370
- Used macro for sbindir

* Wed Sep  5 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20120905git6c7a7370
- Initial version
